xGSEAconciser | R Documentation

## Function to make GSEA results conciser by removing redundant terms

### Description

`xGSEAconciser` is supposed to make GSEA results conciser by removing redundant terms. A redundant term (called 'B') is claimed if its overlapped part (A&B) with a more significant term (called 'A') meets both criteria: 1) |A&B| > 0.9*|B|; and 2) |A&B| > 0.5*|A|.

### Usage

    xGSEAconciser(eGSEA, cutoff = c(0.9, 0.5), verbose = TRUE)

### Arguments

`eGSEA` | an object of class "eGSEA"
`cutoff` | a cutoff vector used to remove redundant terms. By default, it has the first element 0.9 and the second element 0.5. It means, for a term (less significant; called 'B'), if there is a more significant term (called 'A'), their overlapped members cover at least 90 this term B will be defined as redundant and thus being removed
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to false for no display

### Value

an object of class "eGSEA", after redundant terms being removed.

### Note

none

### See Also

`xPierGSEA`

### Examples

    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    eGSEA_concise <- xGSEAconciser(eGSEA)

    ## End(Not run)